### Method

# Tsparql SparqlConnection update_blank_async

deprecated: 3.5

#### Declaration [src]

    void
    tracker_sparql_connection_update_blank_async (
      TrackerSparqlConnection* connection,
      const gchar* sparql,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes asynchronously a SPARQL update and returns the names of the generated blank nodes.

See the `tracker_sparql_connection_update_blank()` documentation to learn the differences with `tracker_sparql_connection_update()`.

Deprecated since: 3.5

See `tracker_sparql_connection_update_blank()`.

This method completes asynchronously. Use `tracker_sparql_connection_update_blank_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`sparql`

  Type: `const gchar*`

  String containing the SPARQL update query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.